using Luski.GUI.MainScreen.UI.PublicServers;
using Luski.net.Structures.Public;

namespace Luski.GUI.MainScreen.Interfaces;

public interface IChannelAdder
{
    public bool Extended { get; set; }
    public SocketCategory CurrentCategory { get; }
    public Task<Channel> AddChannel(SocketChannel chan);
    public Task<Category> AddCategory(SocketCategory Cat, DateTime? dt = null);
}